[arch-commits] Commit in kdelibs/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Fri Oct 9 03:39:06 EDT 2009


    Date: Friday, October 9, 2009 @ 03:39:06
  Author: pierre
Revision: 54348

Merged revisions 54345 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/kdelibs/trunk

........
  r54345 | pierre | 2009-10-09 09:07:03 +0200 (Fr, 09 Okt 2009) | 1 line
  
  fix konqueror crash
........

Added:
  kdelibs/repos/extra-i686/konqueror_crash.patch
    (from rev 54345, kdelibs/trunk/konqueror_crash.patch)
Modified:
  kdelibs/repos/extra-i686/	(properties)
  kdelibs/repos/extra-i686/PKGBUILD

-----------------------+
 PKGBUILD              |    8 +++++---
 konqueror_crash.patch |   14 ++++++++++++++
 2 files changed, 19 insertions(+), 3 deletions(-)


Property changes on: kdelibs/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /kdelibs/trunk:1-54237
   + /kdelibs/trunk:1-54347

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-10-09 07:38:25 UTC (rev 54347)
+++ extra-i686/PKGBUILD	2009-10-09 07:39:06 UTC (rev 54348)
@@ -3,7 +3,7 @@
 
 pkgname=kdelibs
 pkgver=4.3.2
-pkgrel=2
+pkgrel=3
 pkgdesc="KDE Core Libraries"
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
@@ -16,12 +16,13 @@
 install='kdelibs.install'
 source=(http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2
         'kde-applications-menu.patch' 'archlinux-menu.patch' 'abs-syntax-highlight.patch'
-	'fix-deadlock-in-klocale.patch')
+	'fix-deadlock-in-klocale.patch' 'konqueror_crash.patch')
 md5sums=('0564ed8ba804a0f3f1cee9732a3d2d72'
          '280f34ee159845f8902c31bd499254fc'
          '0f214b222bfb0327e7a2b6fb13756895'
          '18ea42696a7f41332a092d6ead7efc6a'
-	 'bc3053d898e24d6635f87166f419daf7')
+         'bc3053d898e24d6635f87166f419daf7'
+         'b4fe5fd918aa9b14519508dbbfc5a34a')
 
 build() {
 	cd $srcdir/${pkgname}-${pkgver}
@@ -35,6 +36,7 @@
 
 	# fixed in 4.3.3
 	patch -p0 -i ${srcdir}/fix-deadlock-in-klocale.patch || return 1
+	patch -p0 -i ${srcdir}/konqueror_crash.patch || return 1
 
 	cd ..
 	mkdir build

Copied: kdelibs/repos/extra-i686/konqueror_crash.patch (from rev 54345, kdelibs/trunk/konqueror_crash.patch)
===================================================================
--- extra-i686/konqueror_crash.patch	                        (rev 0)
+++ extra-i686/konqueror_crash.patch	2009-10-09 07:39:06 UTC (rev 54348)
@@ -0,0 +1,14 @@
+Index: khtml/khtml_part.cpp
+===================================================================
+--- khtml/khtml_part.cpp	(Revision 1032786)
++++ khtml/khtml_part.cpp	(Revision 1032787)
+@@ -609,8 +609,7 @@
+ 
+   if ( d->m_view )
+   {
+-    d->m_view->hide();
+-    d->m_view->viewport()->hide();
++    widget()->hide();
+     d->m_view->m_part = 0;
+   }
+ 



More information about the arch-commits mailing list